<?PHP
/**
 * Constains lists for grouping licenses.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Provides lists for categorizing spelled out licenses.
 */
final class MDConcLicenses {

    const LICENSES_LIST = [
        "https://creativecommons.org/publicdomain/zero/1.0/deed.de" => "CC0",

        "CC_BY" => "CC BY",
        "CC-BY" => "CC BY",
        "CC.BY" => "CC BY",

        "CC BY SA"  => "CC BY-SA",
        "CC BY-SA-" => "CC BY-SA",
        "CC BY_SA"  => "CC BY-SA",
        "CC_BY_SA"  => "CC BY-SA",
        "CC-BY-SA"  => "CC BY-SA",
        "CC.BY-SA"  => "CC BY-SA",

        "CC BY_NC"  => "CC BY-NC",
        "CC_BY_NC"  => "CC BY-NC",
        "CC-BY-NC"  => "CC BY-NC",
        "CC.BY-NC"  => "CC BY-NC",

        "CC BY_NC_SA" => "CC BY-NC-SA",
        "CC_BY_NC_SA" => "CC BY-NC-SA",
        "CC-BY-NC-SA" => "CC BY-NC-SA",
        "CC.BY-NC-SA" => "CC BY-NC-SA",

        "https://www.deutsche-digitale-bibliothek.de/content/lizenzen/rv-fz" => "RR-F",
        "Rechte vorbehalten - Freier Zugang" => "RR-F",
        "Alle Rechte vorbehalten" => "RR-F",
        "IN COPYRIGHT" => "RR-P",
    ];

}
